=== src/vicar-lib/Makefile ===
#############################################################################
# Makefile for building: libvicar.a
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Feb 13 20:00:51 2011
# Project:  vicar-lib.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile vicar-lib.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -fPIC -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -fPIC -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtSql -I/targets/FREMANTLE_X86/usr/include/QtDBus -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/gconf/2 -I/targets/FREMANTLE_X86/usr/include/glib-2.0 -I/targets/FREMANTLE_X86/usr/lib/glib-2.0/include -Imocs
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = src/dbusutility.cpp \
		src/gconfutility.cpp \
		src/telepathyutility.cpp \
		src/accountmanagerproxy.cpp \
		src/accountproxy.cpp \
		src/accountcompatproxy.cpp \
		src/connifacereqproxy.cpp \
		src/connectioninterfacerequeststypes.cpp \
		src/databaseutility.cpp mocs/moc_dbusutility.cpp \
		mocs/moc_gconfutility.cpp \
		mocs/moc_telepathyutility.cpp \
		mocs/moc_accountmanagerproxy.cpp \
		mocs/moc_accountproxy.cpp \
		mocs/moc_accountcompatproxy.cpp \
		mocs/moc_connifacereqproxy.cpp \
		mocs/moc_databaseutility.cpp
OBJECTS       = objs/dbusutility.o \
		objs/gconfutility.o \
		objs/telepathyutility.o \
		objs/accountmanagerproxy.o \
		objs/accountproxy.o \
		objs/accountcompatproxy.o \
		objs/connifacereqproxy.o \
		objs/connectioninterfacerequeststypes.o \
		objs/databaseutility.o \
		objs/moc_dbusutility.o \
		objs/moc_gconfutility.o \
		objs/moc_telepathyutility.o \
		objs/moc_accountmanagerproxy.o \
		objs/moc_accountproxy.o \
		objs/moc_accountcompatproxy.o \
		objs/moc_connifacereqproxy.o \
		objs/moc_databaseutility.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		vicar-lib.pro
QMAKE_TARGET  = vicar
DESTDIR       = ../lib/
TARGET        = libvicar.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile ../lib/$(TARGET) 

staticlib: ../lib/$(TARGET)

../lib/$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	@$(CHK_DIR_EXISTS) ../lib/ || $(MKDIR) ../lib/ 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)
	-$(DEL_FILE) ../lib/$(TARGET)
	-$(MOVE) $(TARGET) ../lib/


Makefile: vicar-lib.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtSql.prl
	$(QMAKE) -unix -o Makefile vicar-lib.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtSql.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile vicar-lib.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/vicar1.0.0 || $(MKDIR) objs/vicar1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/vicar1.0.0/ && $(COPY_FILE) --parents src/dbusutility.h src/gconfutility.h src/telepathyutility.h src/accountmanagerproxy.h src/accountproxy.h src/accountcompatproxy.h src/connifacereqproxy.h src/connectioninterfacerequeststypes.h src/databaseutility.h src/vicarprofiletypes.h objs/vicar1.0.0/ && $(COPY_FILE) --parents src/dbusutility.cpp src/gconfutility.cpp src/telepathyutility.cpp src/accountmanagerproxy.cpp src/accountproxy.cpp src/accountcompatproxy.cpp src/connifacereqproxy.cpp src/connectioninterfacerequeststypes.cpp src/databaseutility.cpp objs/vicar1.0.0/ && (cd `dirname objs/vicar1.0.0` && $(TAR) vicar1.0.0.tar vicar1.0.0 && $(COMPRESS) vicar1.0.0.tar) && $(MOVE) `dirname objs/vicar1.0.0`/vicar1.0.0.tar.gz . && $(DEL_FILE) -r objs/vicar1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_dbusutility.cpp mocs/moc_gconfutility.cpp mocs/moc_telepathyutility.cpp mocs/moc_accountmanagerproxy.cpp mocs/moc_accountproxy.cpp mocs/moc_accountcompatproxy.cpp mocs/moc_connifacereqproxy.cpp mocs/moc_databaseutility.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_dbusutility.cpp mocs/moc_gconfutility.cpp mocs/moc_telepathyutility.cpp mocs/moc_accountmanagerproxy.cpp mocs/moc_accountproxy.cpp mocs/moc_accountcompatproxy.cpp mocs/moc_connifacereqproxy.cpp mocs/moc_databaseutility.cpp
mocs/moc_dbusutility.cpp: src/dbusutility.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/dbusutility.h -o mocs/moc_dbusutility.cpp

mocs/moc_gconfutility.cpp: src/gconfutility.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/gconfutility.h -o mocs/moc_gconfutility.cpp

mocs/moc_telepathyutility.cpp: src/telepathyutility.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/telepathyutility.h -o mocs/moc_telepathyutility.cpp

mocs/moc_accountmanagerproxy.cpp: src/accountmanagerproxy.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/accountmanagerproxy.h -o mocs/moc_accountmanagerproxy.cpp

mocs/moc_accountproxy.cpp: src/accountproxy.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/accountproxy.h -o mocs/moc_accountproxy.cpp

mocs/moc_accountcompatproxy.cpp: src/accountcompatproxy.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/accountcompatproxy.h -o mocs/moc_accountcompatproxy.cpp

mocs/moc_connifacereqproxy.cpp: src/connectioninterfacerequeststypes.h \
		src/connifacereqproxy.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/connifacereqproxy.h -o mocs/moc_connifacereqproxy.cpp

mocs/moc_databaseutility.cpp: src/vicarprofiletypes.h \
		src/databaseutility.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/databaseutility.h -o mocs/moc_databaseutility.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
