=== debian/changelog ===
vicar (0.6-1) unstable; urgency=low

  * Added support for blank space in phone numbers.
  * Added a default profile to be used if no matching profile is found for a number. This feature can be accessed via "Edit Default Profile" button in context menu.
  * Removed the pause before the DTMF tone (This was hardcoded in previous releases, to add more delay before sending DTMF tone, add "p" (pause) characters in DTMF Prefix field as necessary.
  * Minor UI changes in VICaR config screen (Button resize, label changes).

 -- Sudheer K. <scifi1947 at gmail.com>  Sun,  27 Feb 2011 16:10:00 -0800
