## vicar 0.6-2

=== debian/changelog ===
vicar (0.6-2) unstable; urgency=low

  * Calling card number can now have a +.

 -- Sudheer K. <scifi1947 at gmail.com>  Sun,  12 Dec 2011 16:10:00 -0800
